:root {
  // VARIABLES //

  // font size //
  @import url('https://fonts.googleapis.com/css2?family=Raleway:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
  font-family: 'Raleway', sans-serif;
  font-size: 16px;

  // icons //
  @import 'material-design-icons-iconfont/dist/material-design-icons.css';


  // main colors //

  --text-primary: #243746;
  --text-secondary: #78858f;
  --accent-light: #158876;
  --accent-dark: #0e2233;
  --bg-primary: #f3f5f4;
  --bg-secondary: #fff;
  --bg-map: white;

  // sizes //
  --width-sidebar: 5rem;
  --width-sidebar-hover: 15rem;
  --height-sidebar: 4rem;
  --border-radius: 10px;

  // other //
  --transition-speed: 500ms;
  --drop-shadow: none;
  --border: 2px solid var(--accent-light);
  --box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
  --box-shadow-hover: 0 0 20px rgba(0, 0, 0, 0.4);
}

.dark-mode {
  --text-primary: #D0DFF2;
  --text-secondary: #ececec;
  --accent-light: #7394BF;
  --accent-dark: #465E8C;
  --bg-primary: #0F2940;
  --bg-secondary: #061726;
  --bg-map: black;

  --drop-shadow: none;
  --box-shadow: 0 0 20px rgba(255, 255, 255, 0.2);
  --box-shadow-hover: 0 0 30px rgba(255, 255, 255, 0.4);
}

.sepia-mode {
  --text-primary: #433422;
  --text-secondary: #504231;
  --bg-primary: #f1e7d0;
  --bg-secondary: #eae0c9;
  --border-color: #ded0bf;
}

body {
  color: var(--text-primary);
  background: var(--bg-primary);
  margin: 0;
  padding: 0;
  transition: background 0.5s, color 1s ease-in-out;
}

.content {
  margin-left: var(--width-sidebar);
}


@media only screen and (max-width: 813px) {
  .content {
    margin-left: 0;
  }
}

body::-webkit-scrollbar {
  width: 0rem;
}

body::-webkit-scrollbar-track {
  background: transparent;
}

body::-webkit-scrollbar-thumb {
  background: var(--clr-accent);
}

button,
textarea,
input,
select {
  all: unset
}
